#include <stdio.h>
#include<math.h>

int main()
{
    long x1,x2,y1,y2;
        scanf("%li %li %li %li",&x1,&y1,&x2,&y2);
            
                if((x1==x2) || (y1==y2))
                        printf("2");
                            else if( (fabs(x1-x2)) == (fabs(y1-y2)) )
                                    printf("1");
                                            
                                                else printf("0");
                                                }